Subject: bug#42573: closed (Re: [bug#42573] [PATCH 2/2] gnu: python-clikit: Update to 0.6.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jul 2020 18:02:02 +0000

Your bug report

#42573: [PATCH 0/2] gnu: python-clikit: Update to 0.6.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42573: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42573
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42573] [PATCH 2/2] gnu: python-clikit: Update to 0.6.2.
From: Oleg Pykhalov <[email-masked]>
To: Tanguy Le Carrour <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Jul 2020 21:01:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tanguy Le Carrour <[email-masked]> writes:

>>Could you take a look on a fetching source with ‘git-fetch’ and enabling
>>tests suite?
>
> Actually, I can't! :-(
>
> `crashtest` is a project managed with Poetry. In order to build and test it,
> I need `poetry`. But `poetry` depends on `clikit` that depends on… `crashtest`!
>
> I guess (I hope) that more and more projects will be managed with Poetry,
> so we'll run into this problem again.
>
> There's actually an other problem with Poetry: `poetry` is managed with Poetry!
> I have no idea how to handle this! Is this a scenario where we have to have
> a `poetry-0` that is a "trusted" binary that we use to "properly" build
> the "poetry chain"?

OK, thanks for investigation.  I pushed the changes to master.

Oleg.

Subject: [PATCH 0/2] gnu: python-clikit: Update to 0.6.2.
From: Tanguy Le Carrour <[email-masked]>
To: [email-masked]
Cc: Tanguy Le Carrour <[email-masked]>
Date: Tue, 28 Jul 2020 11:22:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tanguy Le Carrour (2):
  gnu: Add python-crashtest.
  gnu: python-clikit: Update to 0.6.2.

 gnu/packages/python-xyz.scm | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

-- 
2.27.0